gi-atk-2.0.18: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Atk.Structs.Range

Contents

- Exported types
- Methods
  - copy
  - free
  - getDescription
  - getLowerLimit
  - getUpperLimit
  - new

Description

`Range` are used on `Value`, in order to represent the full range of a given component (for example an slider or a range control), or to define each individual subrange this full range is splitted if available. See `Value` documentation for further details.

Synopsis

- newtype Range = Range (ManagedPtr Range)
- noRange :: Maybe Range
- rangeCopy :: (HasCallStack, MonadIO m) => Range -> m Range
- rangeFree :: (HasCallStack, MonadIO m) => Range -> m ()
- rangeGetDescription :: (HasCallStack, MonadIO m) => Range -> m Text
- rangeGetLowerLimit :: (HasCallStack, MonadIO m) => Range -> m Double
- rangeGetUpperLimit :: (HasCallStack, MonadIO m) => Range -> m Double
- rangeNew :: (HasCallStack, MonadIO m) => Double -> Double -> Text -> m Range

# Exported types

newtype Range Source #

Memory-managed wrapper type.

Constructors

Range (ManagedPtr Range) |

Instances

BoxedObject Range Source # |
Instance details Defined in GI.Atk.Structs.Range Methods boxedType :: Range -> IO GType Source #

noRange :: Maybe Range Source #

A convenience alias for `Nothing` :: `Maybe` `Range`.

# Methods

## copy

rangeCopy Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Range | `src`: `Range` to copy
-> m Range | Returns: a new `Range` copy of `src`

Returns a new `Range` that is a exact copy of `src`

Since: 2.12

## free

rangeFree Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Range | `range`: `Range` to free
-> m () |

Free `range`

Since: 2.12

## getDescription

rangeGetDescription Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Range | `range`: an `Range`
-> m Text | Returns: the human-readable description of `range`

Returns the human readable description of `range`

Since: 2.12

## getLowerLimit

rangeGetLowerLimit Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Range | `range`: an `Range`
-> m Double | Returns: the lower limit of `range`

Returns the lower limit of `range`

Since: 2.12

## getUpperLimit

rangeGetUpperLimit Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Range | `range`: an `Range`
-> m Double | Returns: the upper limit of `range`

Returns the upper limit of `range`

Since: 2.12

## new

rangeNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Double | `lowerLimit`: inferior limit for this range
-> Double | `upperLimit`: superior limit for this range
-> Text | `description`: human readable description of this range.
-> m Range | Returns: a new `Range`

Creates a new `Range`.

Since: 2.12